SendMessageData (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.tcp.SendMessageData class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.tcp
Class SendMessageData

    java.lang.Object
      org.apache.catalina.ha.tcp.SendMessageData

    public class SendMessageData

extends java.lang.Object

Version:
  $Revision: 531303 $ $Date: 2007-04-23 02:24:01 +0200 (Mon, 23 Apr 2007) $
Author:
  Peter Rossbach

Constructor Summary
`SendMessageData(java.lang.Object message, Member destination, java.lang.Exception exception)`

Method Summary
`Member` | `getDestination()`
`java.lang.Exception` | `getException()`
`java.lang.Object` | `getMessage()`
`void` | `setDestination(Member destination)`
`void` | `setException(java.lang.Exception exception)`
`void` | `setMessage(java.lang.Object message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendMessageData

    public SendMessageData(java.lang.Object message,
                           Member destination,
                           java.lang.Exception exception)

Parameters:
  `message` -
  `destination` -
  `exception` -

Method Detail

### getDestination

    public Member getDestination()

  Returns:
    Returns the destination.

### setDestination

    public void setDestination(Member destination)

  Parameters:
    `destination` - The destination to set.

### getException

    public java.lang.Exception getException()

  Returns:
    Returns the exception.

### setException

    public void setException(java.lang.Exception exception)

  Parameters:
    `exception` - The exception to set.

### getMessage

    public java.lang.Object getMessage()

  Returns:
    Returns the message.

### setMessage

    public void setMessage(java.lang.Object message)

  Parameters:
    `message` - The message to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.